com.brightcove.player.offline

## Class MultiDataSource.Factory

- java.lang.Object
- - com.brightcove.player.offline.MultiDataSource.Factory

- All Implemented Interfaces:
    com.google.android.exoplayer2.upstream.DataSource.Factory
  Enclosing class:
    MultiDataSource

      public static class MultiDataSource.Factory
      extends java.lang.Object
      implements com.google.android.exoplayer2.upstream.DataSource.Factory

  Implements a factory to support `MultiDataSource`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory(android.content.Context context, com.google.android.exoplayer2.upstream.HttpDataSource.Factory httpDataSourceFactory, com.google.android.exoplayer2.upstream.TransferListener listener)` Creates a factory for `MultiDataSource`.
    `Factory(android.content.Context context, com.google.android.exoplayer2.upstream.TransferListener listener)` Creates a factory for `MultiDataSource`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.android.exoplayer2.upstream.DataSource` | `createDataSource()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory(@NonNull
                         android.content.Context context,
                         @NonNull
                         com.google.android.exoplayer2.upstream.HttpDataSource.Factory httpDataSourceFactory,
                         @Nullable
                         com.google.android.exoplayer2.upstream.TransferListener listener)

      Creates a factory for `MultiDataSource`.
      Parameters:
        `context` - the context of the host application.
        `httpDataSourceFactory` - the factory that must be used for handling HTTP data source.
        `listener` - the transfer listener if any, which must be hooked to the data source.

    - #### Factory

          public Factory(@NonNull
                         android.content.Context context,
                         @Nullable
                         com.google.android.exoplayer2.upstream.TransferListener listener)

      Creates a factory for `MultiDataSource`.
      Parameters:
        `context` - the context of the host application.
        `listener` - the transfer listener if any, which must be hooked to the data source.

  - ### Method Detail

    - #### createDataSource

          public com.google.android.exoplayer2.upstream.DataSource createDataSource()

      Specified by:
        `createDataSource` in interface `com.google.android.exoplayer2.upstream.DataSource.Factory`